Workflows
Update workflow
Update workflow metadata or replace workflow definition collections.
Common updates:
- Change workflow name or description
- Update workflow definition nodes and edges
- Activate workflow by setting status to ‘active’
- Archive workflow by setting status to ‘archived’
Definition update semantics:
- Omit
definitionto update metadata only. - Omit
definition.nodesto leave nodes unchanged. - Include
definition.nodesonly when sending the complete desired node set. Nodes omitted from that array are removed. - Omit
definition.edgesto leave edges unchanged. - Include
definition.edgesonly when sending the complete desired edge set. Edges omitted from that array are removed. - Use snake_case config keys in API payloads.
Successful responses contain workflow metadata, including the new lock_version. They do not include the expanded graph. Call GET /workflows/{workflow_id}/definition after updating when you need the saved nodes and edges.
You can update the definition of an active workflow. Changes take effect immediately for new executions; running executions continue with the snapshot they started with.
PATCH
/
workflows
/
{workflow_id}
Update workflow
curl --request PATCH \
--url https://api.kapso.ai/platform/v1/workflows/{workflow_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"workflow": {
"name": "<string>",
"slug": "inbound-support",
"description": "<string>",
"message_debounce_seconds": 123,
"lock_version": 123,
"definition": {
"nodes": [
{
"id": "send_intro",
"position": {
"x": 360,
"y": 120
},
"data": {
"config": {},
"display_name": "<string>"
},
"type": "flow-node"
}
],
"edges": [
{
"source": "start",
"target": "send_intro",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "next",
"type": "default",
"flow_condition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
'import requests
url = "https://api.kapso.ai/platform/v1/workflows/{workflow_id}"
payload = { "workflow": {
"name": "<string>",
"slug": "inbound-support",
"description": "<string>",
"message_debounce_seconds": 123,
"lock_version": 123,
"definition": {
"nodes": [
{
"id": "send_intro",
"position": {
"x": 360,
"y": 120
},
"data": {
"config": {},
"display_name": "<string>"
},
"type": "flow-node"
}
],
"edges": [
{
"source": "start",
"target": "send_intro",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "next",
"type": "default",
"flow_condition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workflow: {
name: '<string>',
slug: 'inbound-support',
description: '<string>',
message_debounce_seconds: 123,
lock_version: 123,
definition: {
nodes: [
{
id: 'send_intro',
position: {x: 360, y: 120},
data: {config: {}, display_name: '<string>'},
type: 'flow-node'
}
],
edges: [
{
source: 'start',
target: 'send_intro',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
label: 'next',
type: 'default',
flow_condition_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
}
}
})
};
fetch('https://api.kapso.ai/platform/v1/workflows/{workflow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "inbound-support",
"status": "draft",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"lock_version": 123,
"message_debounce_seconds": 123,
"agent_default_tools_version": 123,
"inbound_message_read_mode": "disabled",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution_count": 1,
"last_executed_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Was this page helpful?
⌘I
Update workflow

